net.dontdrinkandroot.visualization.item

## Class OvalItem

- java.lang.Object
- - net.dontdrinkandroot.visualization.item.AbstractVisualItem
  - - net.dontdrinkandroot.visualization.item.AbstractColoredItem
    - - net.dontdrinkandroot.visualization.item.OvalItem

All Implemented Interfaces:
  ColoredItem, VisualItem

Direct Known Subclasses:
  TypedOvalItem

    public class OvalItem
    extends AbstractColoredItem

### Field Summary

### Fields inherited from class net.dontdrinkandroot.visualization.item.AbstractColoredItem

`bbColor, bgColor, fgColor`

### Fields inherited from class net.dontdrinkandroot.visualization.item.AbstractVisualItem

`anchor, bounds`

### Constructor Summary

Constructors
Constructor and Description
`OvalItem(double centerX, double centerY, double width, double height)`
`OvalItem(double centerX, double centerY, double width, double height, Color fgColor)`

### Method Summary

Methods
`void` `draw(Graphics2D g2d)`
`protected Rectangle2D` `updateBounds()`

### Methods inherited from class net.dontdrinkandroot.visualization.item.AbstractColoredItem

`getBbColor, getBgColor, getFgColor, setBbColor, setBgColor, setFgColor`

### Methods inherited from class net.dontdrinkandroot.visualization.item.AbstractVisualItem

`getBounds, getPosition, setPosition, setPosition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OvalItem

    public OvalItem(double centerX,
            double centerY,
            double width,
            double height)

#### OvalItem

    public OvalItem(double centerX,
            double centerY,
            double width,
            double height,
            Color fgColor)

### Method Detail

#### draw

    public void draw(Graphics2D g2d)

Specified by:
  `draw` in interface `VisualItem`
Specified by:
  `draw` in class `AbstractVisualItem`

#### updateBounds

    protected Rectangle2D updateBounds()

Specified by:
  `updateBounds` in class `AbstractVisualItem`